---
# You don't need to edit this file, it's empty on purpose.
# Edit theme's home layout instead if you wanna make some changes
# See: https://jekyllrb.com/docs/themes/#overriding-theme-defaults
layout: frozen
title: frozen
order: 4
---


{: .rtitle}
<div>
## IMP: a pipeline for reproducible reference-independent integrated metagenomic and metatranscriptomic analyses

Please cite the article on Genome Biology.
Shaman Narayanasamy†, Yohan Jarosz†, Emilie E. L. Muller, Anna Heintz-Buschart, Malte Herold, Anne Kaysen, Cédric C. Laczny, Nicolás Pinel, Patrick May and Paul Wilmes*
</div>



{: .rblock}
<div>
## <i class="fas fa-globe"></i> Website
<hr>
The *IMP* website hosted within *R3lab* frame is available [here](href="http://r3lab.uni.lu/web/imp/index.html").
</div>

{: .rblock}
<div>
## <i class="fas fa-copy"></i> Source code
<hr>
The source code of IMP is available on the LCSB Gitlab where you can traceback what have been done by the authors.
</div>


{: .rblock}
<div>
## <i class="fas fa-copy"></i> Additionnal source code
<hr>
Some additionnal analysis made on the paper as also available on the LCSB Gitlab.
</div>

{: .rblock}
<div>
## <i class="fas fa-cogs"></i> Workflow
<hr>
Snakemake, a reproducible workflow engine that allow us IMP users execute the same workflow for each analysis. From Köster, Johannes and Rahmann, Sven. “Snakemake - A scalable bioinformatics workflow engine”. Bioinformatics 2012.
</div>

{: .rblock}
<div>
## <i class="fas fa-dolly-flatbed"></i> Tool repository
<hr>
The IMP tool repository is hosted on the LCSB webdav storage. You will find some of the tools installed within IMP. IMP versions are stored under the dist folder.
</div>

{: .rblock}
<div>
## <i class="fab fa-docker"></i> Environment
<hr>
All tools dependencies of IMP are frozen inside a docker container. The files used to build the container can be found on Gitlab and versioned tarballs of the containers are found under the webdav.
</div>

{: .rblock}
<div>
## <i class="fas fa-wrench"></i> R toolkit
<hr>
We use the checkpoint library to ensure that all of the necessary R packages are installed with the correct versions.
</div>

{: .rblock}
<div>
## <i class="fas fa-book"></i> Report
<hr>
 IMP report contains all information needed to reproduce the same workflow, from the version of IMP used to make the analysis to the configuration file used to start the workflow. Everything is condensed and organized within an HTML report. Some reports can be found here.
</div>